/***************************************************************************
                               dlgprofilesettings.cpp
                             -------------------
    begin                : Thu Nov 14 2002
    copyright            : (C) 2002 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "dlgprofilesettings.h"

#include <kmudpart.h>
#include <kmudsetuppane.h>

#include "../kmudcore.h"

DlgProfileSettings::DlgProfileSettings(KmudCore *core,QWidget *parent ) : DlgConfig(core,"Global Settings Dialog",parent)
{
	populateListView();
}

DlgProfileSettings::~DlgProfileSettings()
{
}

void DlgProfileSettings::addPluginPanes()
{
	QPtrList<KmudPart> *parts = m_core->getPartsList();

	for (KmudPart *part = parts->first(); part!=0; part = parts->next())
	{
		QPtrList<KmudSetupPane> panes = part->createProfileConfigPanes(m_widgets);

		for (KmudSetupPane *pane = panes.first();pane!=0; pane = panes.next())
		{
			addPane(pane);
		}
	}
}


void DlgProfileSettings::addKmudPanes()
{
	// addPane(new DlgOptionColors(m_core->configCache(),"Main Window",this,"Colors"));	
}

