/***************************************************************************
                               kmudapplication.cpp
                             -------------------
    begin                : Sat Apr 7 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kwin.h>
#include <kcmdlineargs.h>

#include <kmuddebug.h>
#include "kmudapplication.h"
#include "kmudcore.h"

KmudApplication::KmudApplication()
:KUniqueApplication()
{
	m_coreList.clear();
	m_coreList.setAutoDelete(true);
}

KmudApplication::~KmudApplication()
{
}

int KmudApplication::newInstance()
{
	int ret=0;
	KCmdLineArgs* args = KCmdLineArgs::parsedArgs();

	kdDebug(DAREA_APPLICATION) << "new instance" << endl;
	
	if (newCore()==0L) ret=-1;
	return(ret);
}


KmudCore* KmudApplication::newCore()
{
	kdDebug(DAREA_APPLICATION) << "new core" << endl;
	KmudCore* core = new KmudCore;
	m_coreList.append(core);
	return core;
}

bool KmudApplication::deleteCore(KmudCore* _core)
{
	kdDebug(DAREA_APPLICATION) << "deleting core " << _core << endl;
	return m_coreList.remove(_core);
}
