/***************************************************************************
                               cmaplistviewitem.h
                             -------------------
    begin                : Mon May 14 2001
    copyright            : (C) 2001 by Kmud Developer Team
    email                : kmud-devel@kmud.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CMAPLISTVIEWITEM_H
#define CMAPLISTVIEWITEM_H

#include <qlistview.h>

class CMapElement;
class CMapRoom;
class CMapLevel;

class QString;
/**
  *@author Kmud Developer Team
  */

class CMapListViewItem : public QListViewItem  {
public:
	CMapListViewItem( QListView * parent );
    CMapListViewItem( QListViewItem * parent );
    CMapListViewItem( QListView * parent, QListViewItem * after );
    CMapListViewItem( QListViewItem * parent, QListViewItem * after );

    CMapListViewItem( QListView * parent,
		   QString,     QString = QString::null,
		   QString = QString::null, QString = QString::null,
		   QString = QString::null, QString = QString::null,
		   QString = QString::null, QString = QString::null );
    CMapListViewItem( QListViewItem * parent,
		   QString,     QString = QString::null,
		   QString = QString::null, QString = QString::null,
		   QString = QString::null, QString = QString::null,
		   QString = QString::null, QString = QString::null );

    CMapListViewItem( QListView * parent, QListViewItem * after,
		   QString,     QString = QString::null,
		   QString = QString::null, QString = QString::null,
		   QString = QString::null, QString = QString::null,
		   QString = QString::null, QString = QString::null );
    CMapListViewItem( QListViewItem * parent, QListViewItem * after,
		   QString,     QString = QString::null,
		   QString = QString::null, QString = QString::null,
		   QString = QString::null, QString = QString::null,
		   QString = QString::null, QString = QString::null );
	~CMapListViewItem();

	void setElement(CMapElement *mapElement);
	CMapElement *getElement(void);
	CMapLevel *getLevel(void);
	void setLevel(CMapLevel *mpaLevel);

private:
	CMapElement *element;
	CMapLevel *level;

};

#endif
